Skip to main content

index/interfaces/TokenAccessResult.md

Token permissions response from GET /v1/permissions?tokenName=...

Used by frontend to determine if user can access Studio and what they can do.

Since​

5.11.0

Properties​

PropertyTypeDescription
isOverseerbooleanWhether the user has platform-wide overseer access.
isOwnerbooleanWhether the user owns the token.
matchedPreset?MatchedPermissionPreset | nullExact role preset match, or null when permissions are custom.
permissionsTokenPermission[]Effective permission names for the requested token.
sourcePermissionSource | nullHow the permissions were granted, or null when there is no access.